import Graph from 'graphology';
import { TextRange } from '../model/TextRange';
import { NodeKind } from './NodeKind';
export declare class LocalScope extends NodeKind {
    range: TextRange;
    constructor(range: TextRange);
}
export declare class ScopeStack implements Iterable<string> {
    private scopeGraph;
    private start;
    constructor(scopeGraph: Graph<NodeKind>, start?: string | undefined);
    [Symbol.iterator](): Iterator<string>;
}
